%define upstream_name    Regexp-RegGrp
%define upstream_version 2.01

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Groups a regular expressions collection
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Regexp/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Groups regular expressions to one regular expression

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.10.0-3.mga8
+ Revision: 1506144
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 2.10.0-2.mga7
+ Revision: 1285953
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 shlomif <shlomif> 2.10.0-1.mga7
+ Revision: 1128902
- update to 2.01

* Sun Jun 19 2016 pterjan <pterjan> 2.0.0-3.mga6
+ Revision: 1032829
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 2.0.0-2.mga6
+ Revision: 966369
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 2.0.0-1.mga6
+ Revision: 843615
- update to 2.00

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-5.mga5
+ Revision: 743207
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-4.mga5
+ Revision: 686104
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.1-3.mga4
+ Revision: 514357
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.2.1-2.mga3
+ Revision: 372304
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 18 2012 kharec <kharec> 1.2.1-1.mga3
+ Revision: 261426
- imported package perl-Regexp-RegGrp


* Mon Jun 18 2012 cpan2dist 1.002001-1mga
- initial mageia release, generated with cpan2dist
